aboutsummaryrefslogtreecommitdiff
path: root/build.sh
diff options
context:
space:
mode:
authorbill-auger <mr.j.spam.me@gmail.com>2018-02-25 09:29:08 -0500
committerbill-auger <mr.j.spam.me@gmail.com>2018-02-26 18:27:16 -0500
commit4fb548665718374bc9b4db133fcd1c33204f2466 (patch)
treebea6d8912f62ad16c18c71b1c4618bb9b701dcce /build.sh
parent2ce946cfa39e62f5c985d2944ffde8dd97d9c313 (diff)
housekeeping
Diffstat (limited to 'build.sh')
-rwxr-xr-xbuild.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/build.sh b/build.sh
index 2f3ebd9..05ca638 100755
--- a/build.sh
+++ b/build.sh
@@ -1,3 +1,7 @@
+PATH=$PATH:./node_modules/.bin
+which browserify > /dev/null || (echo "can not find browserify" && false) || exit
+
+
# Build the main file
browserify main_background.js -o bundle.js
@@ -23,4 +27,3 @@ cd ../
rm -r ./build_temp
# change the zip file to a xpi file that can be uploaded
mv librejs.zip librejs.xpi
-